{
  "domain": "minigrid",
  "mdp_metadata": {
    "state_space": {
      "size": 1,
      "dtype": "int"
    }
  },
  "modules": [
    {
      "module_name": "grounding",
      "file_name": "grounding.py"
    }
  ],
  "vocabulary": {
    "classes": [
      {
        "name": "Agent",
        "grounding": "grounding.Agent"
      },
      {
        "name": "Wall",
        "grounding": "grounding.Wall"
      },
      {
        "name": "GoalTile",
        "grounding": "grounding.GoalTile"
      },
      {
        "name": "Lava",
        "grounding": "grounding.Lava"
      },
      {
        "name": "Key",
        "grounding": "grounding.Key"
      },
      {
        "name": "Door",
        "grounding": "grounding.Door"
      },
      {
        "name": "Box",
        "grounding": "grounding.Box"
      },
      {
        "name": "Ball",
        "grounding": "grounding.Ball"
      }
    ],
    "constants": [
      {
        "name": "pointing_right",
        "grounding": "grounding.pointing_right"
      },
      {
        "name": "pointing_down",
        "grounding": "grounding.pointing_down"
      },
      {
        "name": "pointing_left",
        "grounding": "grounding.pointing_left"
      },
      {
        "name": "pointing_up",
        "grounding": "grounding.pointing_up"
      }
    ],
    "actions": [
      {
        "name": "left",
        "grounding": "grounding.left"
      },
      {
        "name": "right",
        "grounding": "grounding.right"
      },
      {
        "name": "forward",
        "grounding": "grounding.forward"
      },
      {
        "name": "pickup",
        "grounding": "grounding.pickup"
      },
      {
        "name": "drop",
        "grounding": "grounding.drop"
      },
      {
        "name": "toggle",
        "grounding": "grounding.toggle"
      },
      {
        "name": "done",
        "grounding": "grounding.done"
      }
    ],
    "objects": [
    ],
    "features": [
      {
        "name": "agent_x",
        "grounding": "grounding.agent_x"
      },
      {
        "name": "agent_y",
        "grounding": "grounding.agent_y"
      },
      {
        "name": "agent_dir",
        "grounding": "grounding.agent_dir"
      }
    ],
    "parameterized_actions": [
      {
        "name": "go_to",
        "grounding": "grounding.go_to"
      }
    ]
  }
}
  